import request from '@/utils/request'

// 查询专利有效-概况统计列表
export function listRzlViewStatisticsInfo(query) {
  return request({
    url: '/report/rzlViewStatisticsInfo/list',
    method: 'get',
    params: query
  })
}


// 获取查询年列表
export function getYearList() {
  return request({
    url: '/report/rzlViewStatisticsInfo/getYearList',
    method: 'get'
  })
}

// 查询专利有效-概况统计详细
export function getRzlViewStatisticsInfo(id) {
  return request({
    url: '/report/rzlViewStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增专利有效-概况统计
export function addRzlViewStatisticsInfo(data) {
  return request({
    url: '/report/rzlViewStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改专利有效-概况统计
export function updateRzlViewStatisticsInfo(data) {
  return request({
    url: '/report/rzlViewStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除专利有效-概况统计
export function delRzlViewStatisticsInfo(id) {
  return request({
    url: '/report/rzlViewStatisticsInfo/' + id,
    method: 'delete'
  })
}
